<template>
  <a
    :href="href"
    :title="title"
    rel="noopener"
    target="_blank"
    class="fr-btn fr-text--md fr-grid-row fr-grid-row--middle fr-mt-3w"
    :class="{ 'fr-btn--secondary': secondary }"
    @click="trackOutLink(href)"
  >
    <span class="fr-col"
      ><strong><slot /></strong
    ></span>
  </a>
</template>

<script>
import { trackOutLink } from '~/tools/matomo';

export default {
  name: 'FrExternalLinkButton',

  props: {
    href: {
      type: String,
      required: true,
    },
    secondary: {
      type: Boolean,
      default: false,
    },
    title: {
      type: String,
      required: true,
    },
  },
  methods: {
    trackOutLink,
  },
};
</script>
